#!/bin/sh

if [ "X$1" = 'X-h' -o "X$1" = 'X--help' ]; then
  echo 'Usage: control.sh [PV_PREFIX [DEVICE_NAME]]'
  echo 'Parameters:'
  echo '  PV_PREFIX    PV name prefix (default: "ioc23:")'
  echo '  DEVICE_NAME  Name of device (default: "schott1")'
  echo 'Example: control.sh'
  echo 'Example: control.sh ioc1: schott2'
  exit 0
fi

pvPrefix=ioc23:
if [ "X$1" != 'X' ]; then pvPrefix="$1"; fi
deviceName=schott1
if [ "X$2" != 'X' ]; then deviceName="$2"; fi

thisScriptHome=`dirname "$0"`
cd "$thisScriptHome"
if [ $? -ne 0 ]; then
  echo "Failed to cd to \"$thisScriptHome\"." 1>&2
  exit 1
fi
thisScriptHome=`pwd`
if [ $? -ne 0 ]; then
  echo 'Failed to get current working directory.' 1>&2
  exit 1
fi

cd "../src"
if [ $? -ne 0 ]; then
  echo "Failed to cd to \"$thisScriptHome/../src\"." 1>&2
  exit 1
fi

exec medm -x -macro "P=$pvPrefix,D=$deviceName" ./schott-lls.adl
